ConsoleAppender Class Reference

ConsoleAppender appends log events to `stdout` or `stderr` using a layout specified by the user. More...

Inheritance diagram for ConsoleAppender:

## Public Member Functions

| ConsoleAppender ()
| ConsoleAppender (const LayoutPtr &layout)
| ConsoleAppender (const LayoutPtr &layout, const LogString &target)
| ~ConsoleAppender ()
void | setTarget (const LogString &value)
| Sets the value of the target property. More...
LogString | getTarget () const
| Returns the current value of the target property. More...
void | activateOptions (log4cxx::helpers::Pool &p)
| Derived appenders should override this method if option structure requires it. More...
void | setOption (const LogString &option, const LogString &value)
| Set `option` to `value`. More...
Public Member Functions inherited from WriterAppender
| WriterAppender ()
| This default constructor does nothing. More...
| ~WriterAppender ()
void | setImmediateFlush (bool value)
| If the ImmediateFlush option is set to `true`, the appender will flush at the end of each write. More...
bool | getImmediateFlush () const
| Returns value of the ImmediateFlush option. More...
virtual void | append (const spi::LoggingEventPtr &event, log4cxx::helpers::Pool &p)
| This method is called by the AppenderSkeleton::doAppend method. More...
virtual void | close ()
| Close this appender instance. More...
LogString | getEncoding () const
void | setEncoding (const LogString &value)
void | setOption (const LogString &option, const LogString &value)
| Set `option` to `value`. More...
void | setWriter (const log4cxx::helpers::WriterPtr &writer)
virtual bool | requiresLayout () const
| Configurators call this method to determine if the appender requires a layout. More...
Public Member Functions inherited from AppenderSkeleton
| AppenderSkeleton ()
| AppenderSkeleton (const LayoutPtr &layout)
void | addRef () const
void | releaseRef () const
void | finalize ()
| Finalize this appender by calling the derived class' `close` method. More...
void | addFilter (const spi::FilterPtr &newFilter)
| Add a filter to end of the filter list. More...
void | clearFilters ()
| Clear the filters chain. More...
const spi::ErrorHandlerPtr & | getErrorHandler () const
| Return the currently set spi::ErrorHandler for this Appender. More...
spi::FilterPtr | getFilter () const
| Returns the head Filter. More...
const spi::FilterPtr & | getFirstFilter () const
| Return the first filter in the filter chain for this Appender. More...
LayoutPtr | getLayout () const
| Returns the layout of this appender. More...
LogString | getName () const
| Returns the name of this Appender. More...
const LevelPtr & | getThreshold ()
| Returns this appenders threshold level. More...
bool | isAsSevereAsThreshold (const LevelPtr &level) const
| Check whether the message level is below the appender's threshold. More...
void | doAppend (const spi::LoggingEventPtr &event, log4cxx::helpers::Pool &pool)
| This method performs threshold checks and invokes filters before delegating actual logging to the subclasses specific AppenderSkeleton::append method. More...
void | setErrorHandler (const spi::ErrorHandlerPtr &eh)
| Set the ErrorHandler for this Appender. More...
void | setLayout (const LayoutPtr &layout1)
| Set the layout for this appender. More...
void | setName (const LogString &name1)
| Set the name of this Appender. More...
void | setThreshold (const LevelPtr &threshold)
| Set the threshold level. More...
Public Member Functions inherited from Appender
virtual | ~Appender ()
Public Member Functions inherited from OptionHandler
virtual | ~OptionHandler ()
Public Member Functions inherited from Object
virtual const helpers::Class & | getClass () const
virtual | ~Object ()
virtual bool | instanceof (const Class &clazz) const =0
virtual const void * | cast (const Class &clazz) const =0
Public Member Functions inherited from ObjectImpl
| ObjectImpl ()
virtual | ~ObjectImpl ()
void | addRef () const
void | releaseRef () const

## Static Public Member Functions

static const LogString & | getSystemOut ()
static const LogString & | getSystemErr ()
Static Public Member Functions inherited from Object
static const helpers::Class & | getStaticClass ()
static const log4cxx::helpers::ClassRegistration & | registerClass ()

## Additional Inherited Members

Protected Member Functions inherited from WriterAppender
| WriterAppender (const LayoutPtr &layout, log4cxx::helpers::WriterPtr &writer)
| WriterAppender (const LayoutPtr &layout)
virtual bool | checkEntryConditions () const
| This method determines if there is a sense in attempting to append. More...
void | closeWriter ()
| Close the underlying log4cxx::helpers::Writer. More...
virtual log4cxx::helpers::WriterPtr | createWriter (log4cxx::helpers::OutputStreamPtr &os)
| Returns an OutputStreamWriter when passed an OutputStream. More...
virtual void | subAppend (const spi::LoggingEventPtr &event, log4cxx::helpers::Pool &p)
| Actual writing occurs here. More...
virtual void | writeFooter (log4cxx::helpers::Pool &p)
| Write a footer as produced by the embedded layout's Layout::appendFooter method. More...
virtual void | writeHeader (log4cxx::helpers::Pool &p)
| Write a header as produced by the embedded layout's Layout::appendHeader method. More...
Protected Attributes inherited from AppenderSkeleton
LayoutPtr | layout
| The layout variable does not need to be set if the appender implementation has its own layout. More...
LogString | name
| Appenders are named. More...
LevelPtr | threshold
| There is no level threshold filtering by default. More...
spi::ErrorHandlerPtr | errorHandler
| It is assumed and enforced that errorHandler is never null. More...
spi::FilterPtr | headFilter
| The first filter in the filter chain. More...
spi::FilterPtr | tailFilter
| The last filter in the filter chain. More...
bool | closed
| Is this appender closed? More...
log4cxx::helpers::Pool | pool
log4cxx::helpers::Mutex | mutex
Protected Attributes inherited from ObjectImpl
unsigned int volatile | ref

## Detailed Description

ConsoleAppender appends log events to `stdout` or `stderr` using a layout specified by the user.

The default target is `stdout`.

## Constructor & Destructor Documentation

## ConsoleAppender() [1/3]

ConsoleAppender | ( |  | ) |

## ConsoleAppender() [2/3]

ConsoleAppender | ( | const LayoutPtr & | layout | ) |

## ConsoleAppender() [3/3]

ConsoleAppender | ( | const LayoutPtr & | layout,
|  | const LogString & | target
| ) |  |

## ~ConsoleAppender()

~ConsoleAppender | ( |  | ) |

## Member Function Documentation

## activateOptions()

void activateOptions | ( | log4cxx::helpers::Pool & | pool | ) |

virtual

Derived appenders should override this method if option structure requires it.

Reimplemented from WriterAppender.

## getSystemErr()

static const LogString& getSystemErr | ( |  | ) |

static

## getSystemOut()

static const LogString& getSystemOut | ( |  | ) |

static

## getTarget()

LogString getTarget | ( |  | ) | const

Returns the current value of the target property.

The default value of the option is "System.out".

See also setTarget.

## setOption()

void setOption | ( | const LogString & | option,
|  | const LogString & | value
| ) |  |

virtual

Set `option` to `value`.

The handling of each option depends on the OptionHandler instance. Some options may become active immediately whereas other may be activated only when activateOptions is called.

Reimplemented from AppenderSkeleton.

## setTarget()

void setTarget | ( | const LogString & | value | ) |

Sets the value of the target property.

Recognized values are "System.out" and "System.err". Any other value will be ignored.

The documentation for this class was generated from the following file:

- consoleappender.h